﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Data;
using Telerik.Windows.Controls;

namespace TreeListViewExample_WPF_NoXAML
{
	/// <summary>
	/// Interaction logic for MainWindow.xaml
	/// </summary>
	public partial class MainWindow : Window
	{
		MyViewModel viewModel;
		public MainWindow()
		{
			InitializeComponent();

			this.viewModel = new MyViewModel();
			this.radTreeListView.ItemsSource = viewModel.MyWareHouseItems;
		}

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			var itemsSource = this.radTreeListView.ItemsSource as ObservableCollection<WarehouseItem>;

			//WarehouseItem itemAddedFromButton = new WarehouseItem("Item added through the ItemsSource property", 1, new DateTime(2011, 12, 1), false, false);

			itemsSource.RemoveAt(1);
		}

		private void Button2_Click(object sender, RoutedEventArgs e)
		{
			var itemsSource = viewModel.MyWareHouseItems;

			WarehouseItem itemAddedFromButton = new WarehouseItem("Item added  through the ViewModel Collection", 1, new DateTime(2022, 12, 1), false, false);

			itemsSource.Add(itemAddedFromButton);
		}	
	}
}
